All Classes Functions Typedefs Enumerations Enumerator Properties Groups Pages
QDjangoHttpRequest Class Reference
Http

The QDjangoHttpRequest class represents an HTTP request. More...

`#include <QDjangoHttpRequest.h>`

## Public Member Functions

| QDjangoHttpRequest ()
| ~QDjangoHttpRequest ()
QByteArray | body () const
QString | get (const QString &key) const
QString | meta (const QString &key) const
QString | method () const
QString | path () const
QString | post (const QString &key) const

## Friends

class | QDjangoFastCgiConnection
class | QDjangoHttpConnection
class | QDjangoHttpTestRequest

## Detailed Description

The QDjangoHttpRequest class represents an HTTP request.

## Constructor & Destructor Documentation

QDjangoHttpRequest::QDjangoHttpRequest | ( | ) |  |

Constructs a new HTTP request.

QDjangoHttpRequest::~QDjangoHttpRequest | ( | ) |  |

Destroys the HTTP request.

## Member Function Documentation

QByteArray QDjangoHttpRequest::body | ( | ) |  | const

Returns the raw body of the HTTP request.

QString QDjangoHttpRequest::get | ( | const QString & | key) |  | const

Returns the GET data for the given key.

QString QDjangoHttpRequest::meta | ( | const QString & | key) |  | const

Returns the specified HTTP request header.

Parameters

  key |

QString QDjangoHttpRequest::method | ( | ) |  | const

Returns the HTTP request's method (e.g. GET, POST).

QString QDjangoHttpRequest::path | ( | ) |  | const

Returns the HTTP request's path.

QString QDjangoHttpRequest::post | ( | const QString & | key) |  | const

Returns the POST data for the given key.

The documentation for this class was generated from the following files:

- QDjangoHttpRequest.h
- QDjangoHttpRequest.cpp